Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.seam.ui.component.html
Enum HtmlButton.Properties

    java.lang.Object
      java.lang.Enum<HtmlButton.Properties>
          org.jboss.seam.ui.component.html.HtmlButton.Properties

All Implemented Interfaces:
  Serializable, Comparable<HtmlButton.Properties>

Enclosing class:
  HtmlButton

    protected static enum HtmlButton.Properties

extends Enum<HtmlButton.Properties>

Enum Constant Summary
`accesskey`
`actionExpression`
`actionListener`
`conversationName`
`dir`
`disabled`
`fragment`
`image`
`immediate`
`includePageParams`
`lang`
`onclick`
`ondblclick`
`onkeydown`
`onkeypress`
`onkeyup`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`outcome`
`pageflow`
`propagation`
`style`
`styleClass`
`taskInstance`
`type`
`view`

Method Summary
`static HtmlButton.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HtmlButton.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### accesskey

    public static final HtmlButton.Properties accesskey

### actionExpression

    public static final HtmlButton.Properties actionExpression

### actionListener

    public static final HtmlButton.Properties actionListener

### conversationName

    public static final HtmlButton.Properties conversationName

### dir

    public static final HtmlButton.Properties dir

### disabled

    public static final HtmlButton.Properties disabled

### fragment

    public static final HtmlButton.Properties fragment

### image

    public static final HtmlButton.Properties image

### immediate

    public static final HtmlButton.Properties immediate

### includePageParams

    public static final HtmlButton.Properties includePageParams

### lang

    public static final HtmlButton.Properties lang

### onclick

    public static final HtmlButton.Properties onclick

### ondblclick

    public static final HtmlButton.Properties ondblclick

### onkeydown

    public static final HtmlButton.Properties onkeydown

### onkeypress

    public static final HtmlButton.Properties onkeypress

### onkeyup

    public static final HtmlButton.Properties onkeyup

### onmousedown

    public static final HtmlButton.Properties onmousedown

### onmousemove

    public static final HtmlButton.Properties onmousemove

### onmouseout

    public static final HtmlButton.Properties onmouseout

### onmouseover

    public static final HtmlButton.Properties onmouseover

### onmouseup

    public static final HtmlButton.Properties onmouseup

### outcome

    public static final HtmlButton.Properties outcome

### pageflow

    public static final HtmlButton.Properties pageflow

### propagation

    public static final HtmlButton.Properties propagation

### style

    public static final HtmlButton.Properties style

### styleClass

    public static final HtmlButton.Properties styleClass

### taskInstance

    public static final HtmlButton.Properties taskInstance

### type

    public static final HtmlButton.Properties type

### view

    public static final HtmlButton.Properties view

Method Detail

### values

    public static HtmlButton.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HtmlButton.Properties c : HtmlButton.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HtmlButton.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.